PCP-REBOOT-INIT(1)

NAME
pcp-reboot-init - Performance Co-Pilot helper script after system reboot

SYNOPSIS
$PCP_BINADM_DIR/reboot-init

DESCRIPTION
The pcp-reboot-init service performs ``one-trip'' initialization after system reboot for the various components of the Performance Co-Pilot (PCP).

The script is normally called from init(1) or systemd(1) scripts prior to starting other PCP components. It should not need to be run at other times, but is idempotent so repeated execution is harmless, but useless.

The reboot-init script is intended to be run as the ``root'' user, and will fail otherwise.

PCP ENVIRONMENT
The file /etc/pcp.conf contains the local values for PCP_ variables used in this script.

SEE ALSO
init(1), PCPIntro(1), systemd(1), pcp.conf(5) and pcp.env(5).